%define anolis_release 1
%global pypi_name yacs
%global pypi_version 0.1.8

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Yet Another Configuration System

License:        None
URL:            https://github.com/rbgirshick/yacs
Source0:        https://github.com/rbgirshick/yacs/archive/refs/tags/v0.1.8.tar.gz#%{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
YACS was created as a lightweight library to define and manage system 
configurations, such as those commonly found in software designed for 
scientific experimentation. These "configurations" typically cover concepts 
like hyperparameters used in training a machine learning model or 
configurable model hyperparameters, such as the depth of a convolutional 
neural network. 

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pyyaml)
%description -n python3-%{pypi_name}
YACS was created as a lightweight library to define and manage system 
configurations, such as those commonly found in software designed for 
scientific experimentation. These "configurations" typically cover concepts 
like hyperparameters used in training a machine learning model or 
configurable model hyperparameters, such as the depth of a convolutional 
neural network. 

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Jan 10 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.1.8-1
- Initial package.
